---
agentTools:
  projectIndex: https://onebrick.readme.io/llms.txt
---

# Status for Dynamic QRIS

This APIs will help clients to initialise the status update from their side, They have to pass on the transactions referenceId and gets the update.

## Request Parameters

| Key Parameters    | Data Type | Description                                              |
| :---------------- | :-------- | :------------------------------------------------------- |
| publicAccessToken | String    | One time access-token generated using the auth token API |
| referenceId       | String    | Unique reference of Transactions from client side        |

## Response Parameters

| Key parameters | Data type | Description                                                                     |
| :------------- | :-------- | :------------------------------------------------------------------------------ |
| id             | String    | Unique ID generated by Brick                                                    |
| referenceId    | String    | Unique ID that is being generated by the client to track each QR Codes          |
| amount         | Number    | Amount that clients wants to transfer                                           |
| status         | String    | Status of QRIS, the value options are processing, paid, expired, and cancelled. |
| qrData         | String    | QR national dynamic data                                                        |
| paidAt         | Date Time | Timestamp when QRIS being paid by customer                                      |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Payment v2",
    "version": "2"
  },
  "servers": [
    {
      "url": "https://sandbox.onebrick.io/v2/payments/gs"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "publicAccessToken",
        "x-default": "Bearer"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/qris/dynamic/{referenceId}": {
      "get": {
        "summary": "Status for Dynamic QRIS",
        "description": "This APIs will help clients to initialise the status update from their side, They have to pass on the transactions referenceId and gets the update.",
        "operationId": "status-dynamic-qris",
        "parameters": [
          {
            "name": "referenceId",
            "in": "path",
            "description": "Unique referenceId of Transactions",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Success Response": {
                    "value": "{\n    \"status\": 200,\n    \"data\": {\n        \"id\": \"QR_7d13c668fea84081832d02368c61af69\",\n        \"referenceId\": \"test-qris-sandbox\",\n        \"amount\": 10000,\n        \"status\": \"processing\",\n        \"qrData\": \"00020101021226670016COM.NOBUBANK.WWW01189360050300000491530214082500000318170303UKE51440014ID.CO.QRIS.WWW0215ID20200814004210303UKE5204549953033605405100005802ID5914BRICK PAYMENT 6015Banten - Kota T61051581162570114011200010968090620202401121013231606140703A010804POSP630443C4\",\n        \"paidAt\": null\n    },\n    \"metaData\": {\n        \"source\": \"API\",\n        \"entity\": \"Payment\"\n    },\n    \"error\": null\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 200,
                      "default": 0
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "example": "QR_7d13c668fea84081832d02368c61af69"
                        },
                        "referenceId": {
                          "type": "string",
                          "example": "test-qris-sandbox"
                        },
                        "amount": {
                          "type": "integer",
                          "example": 10000,
                          "default": 0
                        },
                        "status": {
                          "type": "string",
                          "example": "processing"
                        },
                        "qrData": {
                          "type": "string",
                          "example": "00020101021226670016COM.NOBUBANK.WWW01189360050300000491530214082500000318170303UKE51440014ID.CO.QRIS.WWW0215ID20200814004210303UKE5204549953033605405100005802ID5914BRICK PAYMENT 6015Banten - Kota T61051581162570114011200010968090620202401121013231606140703A010804POSP630443C4"
                        },
                        "paidAt": {}
                      }
                    },
                    "metaData": {
                      "type": "object",
                      "properties": {
                        "source": {
                          "type": "string",
                          "example": "API"
                        },
                        "entity": {
                          "type": "string",
                          "example": "Payment"
                        }
                      }
                    },
                    "error": {}
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Public token in invalid ": {
                    "value": "{ \n           \"status\" : 401,        \n           error:{\n                           \"code\": \"invalid_parameters_in_headers\", \n                           \"message\": \"Please use valid publicAccessToken in headers\"\n                           \"action\": \"Please generate valid public access token via /v2/auth/token APIs or contact to Brick sales team\"\n                \"reason\": \"Invalid publicAccessToken in headers\"\n},        \n          \"metaData\": {\n                          \"source\": {{API/Widget/Dashboard/SDK/Portal}}, \n                          \"entity\": \"Payment\"          \n          },\n          data:null  \n }\n"
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "62aa98669833aa0028c5a455:657fd647051e1f003719392f"
}
```